package p12_enkapsulacja;

import java.time.LocalDate;

public class Program {
    public static void main(String[] args) {
        Osoba ala = new Osoba("Ala", "Kowalska", LocalDate.of(1990, 2, 17));
        System.out.println(ala);
        // System.out.println(ala.imie + " " + ala.nazwisko);
        System.out.println(ala.getImie() + " " + ala.getNazwisko());
        // ala.imie = "Alicja";
        ala.setImie("Alicja");
        System.out.println(ala.getWiek());

        Konto konto = new Konto(1, 1000, ala);
        System.out.println(konto);

//        konto.saldo = 100000;
//        konto.saldo -= 500;
        konto.wplata(400);
        System.out.println(konto); // powinno by? 1400

        // assert konto.getSaldo() == 1400;

//        konto.wplata(-700);
//        System.out.println(konto);
//
//        konto.wyplata(2000);
//        System.out.println(konto);
        
        try {
            konto.wyplata(100);
            
        } catch (BrakSrodkow e) {
            e.printStackTrace();
        }

        System.out.println("Koniec");
    }
}
