package p20_pliki;

import java.io.BufferedReader;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

public class CzytajPlik_BufferedReader2 {

    public static void main(String[] args) {
        // BufferedReader działa szybciej niż Scanner, ale potrafi mniej niż Scanner
        // Tutaj używamy nowszego sposobu tworzenia obiektu BufferedReader - za pośrednictwem klasy Files
        // Inaczej zapiszemy też warunek pętli.
        try(BufferedReader reader = Files.newBufferedReader(Paths.get("plik.txt"))) {
            String line;
            while((line = reader.readLine()) != null) {
                System.out.println(line);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
