package p04_petle;

public class A_Wprowadzenie {

    public static void main(String[] args) {
        // Aby coś powtórzyć określoną liczbę razy,
        // najlepiej użyć pętli for.
        // To jest standardowy schemat powtórzenia fragmentu kodu.
        for(int i=0; i < 5; i++) {
            System.out.println("Ala ma kota");
        }
        System.out.println();
        
        System.out.println("Pętla while");
        // while(WARUNEK) { INSTRUKCJE }
        int a = 1; // spróbuj 10
        while(a <= 5) {
            System.out.println("a = " + a);
            a++;
        }
        System.out.println("Koniec while. Teraz a = " + a);
        System.out.println();
        
        System.out.println("Pętla do-while");
        // do { INSTRUKCJE } while(WARUNEK); 
        int b = 1; // spróbuj 10
        do {
            System.out.println("b = " + b);
            b++;
        } while(b <= 5);
        System.out.println("Koniec do-while. Teraz b = " + b);
        System.out.println();
        
        System.out.println("Pętla for");
        // for(INICJALIZACJA; WARUNEK; KROK) { INSTRUKCJE }
        // Najpierw raz wykonywana jest INICJALIZACJA
        // bardzo często jest to utworzenie zmiennej i wpisanie początkowej wartości
        // Następnie (podobnie jak w while) sprawdzany jest WARUNEK
        // jeśli jest prawdziwy, wykonywane są INSTRUKCJE, a następnie KROK, i znowu spr. WARUNEK
        // Gdy WARUNEK jest fałszywy, to pętla kończy się.
        for(int i=1; i <= 5; i++) {
            System.out.println("i = " + i);
        }
        // przy takim sposobie deklaracji (wewnątrz for), nie ma już dostępu do zmiennej i
        // System.out.println(i);
        
        System.out.println();
        // No i mamy jeszcze pętlę for-each. Ona iteruje po elementach tablicy / kolekcji.
        String[] miasta = {"Warszawa", "Kraków", "Gdańsk"};
        for(String miasto : miasta) {
            System.out.println("Pozdrawiamy miasto " + miasto);
        }
        
    }

}
